HttpMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.HttpMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class HttpMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver
                  org.mule.transport.http.HttpMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

Direct Known Subclasses:
  HttpsMessageReceiver

    public class HttpMessageReceiver

extends TcpMessageReceiver

`HttpMessageReceiver` is a simple http server that can be used to listen for HTTP requests on a particular port.

Nested Class Summary
`protected class` | `HttpMessageReceiver.HttpWorker`

Nested classes/interfaces inherited from class org.mule.transport.tcp.TcpMessageReceiver
`TcpMessageReceiver.TcpWorker`

Field Summary
`protected Log` | `logger`

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver
`disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`HttpMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`
`protected void` | `doConnect()`
`static MessageReceiver` | `findReceiverByStem(Map receivers, String uriStr)`
`protected MessageReceiver` | `getTargetReceiver(MuleMessage message, ImmutableEndpoint endpoint)`
`protected MuleMessage` | `handleUnacceptedFilter(MuleMessage message)`
`protected boolean` | `shouldConnect()`
`protected HttpResponse` | `transformResponse(Object response)`

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver
`doDisconnect, doDispose, doStart, doStop, getServerSocket, release, run`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### HttpMessageReceiver

    public HttpMessageReceiver(Connector connector,
                               Service service,
                               InboundEndpoint endpoint)
                        throws CreateException

Throws:
  `CreateException`

Method Detail

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Overrides:
    `createWork` in class `TcpMessageReceiver`
  Throws:
    `IOException`

### doConnect

    protected void doConnect()
                      throws ConnectException

  Overrides:
    `doConnect` in class `TcpMessageReceiver`
  Throws:
    `ConnectException`

### shouldConnect

    protected boolean shouldConnect()

### handleUnacceptedFilter

    protected MuleMessage handleUnacceptedFilter(MuleMessage message)

  Overrides:
    `handleUnacceptedFilter` in class `AbstractMessageReceiver`

### getTargetReceiver

    protected MessageReceiver getTargetReceiver(MuleMessage message,
                                                ImmutableEndpoint endpoint)
                                         throws ConnectException

  Throws:
    `ConnectException`

### transformResponse

    protected HttpResponse transformResponse(Object response)
                                      throws TransformerException

  Throws:
    `TransformerException`

### findReceiverByStem

    public static MessageReceiver findReceiverByStem(Map receivers,
                                                     String uriStr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.